#!/bin/bash
# SPDX-Version: 3.0
# SPDX-CreationInfo: 2025-05-05; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-ExternalRef: GIT https://git.coresecret.dev/msw/CISS.debian.live.builder.git
# SPDX-FileContributor: WEIDNER, Marc S.; Centurion Intelligence Consulting Agency
# SPDX-FileCopyrightText: 2024-2025; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-FileType: SOURCE
# SPDX-License-Identifier: EUPL-1.2 OR LicenseRef-CCLA-1.0
# SPDX-LicenseComment: This file is part of the CISS.debian.installer.secure framework.
# SPDX-PackageName: CISS.debian.live.builder
# SPDX-Security-Contact: security@coresecret.eu

#######################################
# Contact Wrapper CISS.debian.live.builder
# Globals:
#   None
# Arguments:
#   None
# Returns:
#   0: on success
#######################################
contact() {
  clear
  cat << EOF
$(echo -e "\e[97m################################################################################ \e[0m")
$(echo -e "\e[92m  CISS.debian.live.builder from https://git.coresecret.dev/msw                   \e[0m")
$(echo -e "\e[92m  A lightweight Shell Wrapper for building a hardened Debian Live ISO Image.     \e[0m")

$(echo -e "\e[97m  (c) Marc S. Weidner, 2018 - 2025 \e[0m")
$(echo -e "\e[97m  (p) Centurion Press, 2024 - 2025 \e[0m")

$(echo -e "\e[95m  💬 Contact:               \e[0m")
$(echo -e "\e[95m  🌐 https://coresecret.eu/ \e[0m")
$(echo -e "\e[95m  📧 security@coresecret.eu \e[0m")
$(echo -e "\e[95m  🔑 PGP Key 2D98 07F4 1030 1776 597E BDC9 9F54 8853 35A3 C9AD \e[0m")
$(echo -e "\e[95m  🔗 https://keys.openpgp.org/vks/v1/by-fingerprint/2D9807F410301776597EBDC99F54885335A3C9AD \e[0m")

$(echo -e "\e[95m  💷 Please consider donating to my work at: \e[0m")
$(echo -e "\e[95m  🌐 https://coresecret.eu/spenden/          \e[0m")
$(echo -e "\e[97m################################################################################ \e[0m")

EOF

  return 0
}
### Prevents accidental 'unset -f'.
# shellcheck disable=SC2034
readonly -f contact
# vim: number et ts=2 sw=2 sts=2 ai tw=128 ft=sh
